package com.bocloud.cmp.provider.nsx;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.nsx.NsxFirewallSectionModel;

/**
 * nsx防火墙区域
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月27日
 */
public interface FirewallSectionProvider extends SuperProvider {
    BocloudResult list();

    BocloudResult create(NsxFirewallSectionModel model);

    BocloudResult remove(String firewallId);

    BocloudResult detail(String firewallId);

    BocloudResult update(NsxFirewallSectionModel model);
}
